=== debian/changelog ===
netevent (2.2.2-1) unreleased; urgency=medium

  * Maintenance release to fix builds with newer stricter compilers.

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100

netevent (2.2.1-1) unreleased; urgency=medium

  * Writing outputs and grabbing input is now managed separately.
  * The `grab` command is deprecated and split into the following two new
    commands:
    * `grab-devices` for input device grabbing.
    * `write-events` for sending the events.
  * support out of tree builds
  * Added --version/-V command line option

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100

netevent (2.1+git-1~local) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates rule to adapt to non-standard configure script.
  * Bump debhelper compat level to 12.
  * Switch to source format 3.0.
  * Add missing misc:Depends.
  * Update copyright years.
  * Bumped Standards-Version to 4.5.0 (no changes required).
  * Add watch file.
  * Use Python 3 docutils by default since Python 2 is being dropped in
    Debian.
  * add README.source.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 23 Apr 2020 01:41:41 +0900

netevent (2.0-1) unstable; urgency=medium

  * Initial release

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100
