=== archlinux/PKGBUILD ===
_pkgbase=netevent
pkgname=netevent-git
pkgver=59c40a7
pkgrel=1
pkgdesc="Event device viewing/cloning utility"
url="https://github.com/Blub/netevent"
arch=('i686' 'x86_64')
license=('GPL')
depends=()
makedepends=('python-docutils')
source=("git+https://github.com/Blub/netevent.git")
sha256sums=('SKIP')

pkgver() {
  cd "${srcdir}/netevent"
  git describe --always
}

prepare() {
  cd "$srcdir/$_pkgbase"
  ./configure --prefix=/usr
}

build() {
  cd "$srcdir/$_pkgbase"
  make
}

package() {
  cd "$srcdir/$_pkgbase"
  make DESTDIR="$pkgdir" install
}
