=== debian/watch ===
version=4
https://github.com/Blub/netevent/releases .*/(.*)\.tar\.gz
